summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2025-05-15 02:20:55 +0100
committerLeah Rowe <leah@libreboot.org>2025-05-15 02:25:02 +0100
commitc8813c9a144b14a78f7328ce7b886270e1b676f3 (patch)
tree4ec4c6ba5cfe7773ca44a5b57477daad93667b67
parent208dfc89bd583f4d8b757ca34e6f6a85538d5e48 (diff)
properly exit 1 when calling fx_
in a few places, we use the presence of a file found by fx_ to cause an exit, but the command that runs looks something like: exit 1 "string" this yields an error, and a non-zero exit, because of too many arguments to "exit", but we wanted a non-zero exit anyway. nevertheless, this is incorrect. to fix it, eval is used instead. if the never-going-to-exist condition one day exists where exit 1 actually returns, not, you know, exits, we will use err instead, with the string as argument. this should be fine. it's a bit hacky, but so is fx_, and it works. fx_ is used in several places to keep the sloccount down, providing a common way to perform while loops on the output of a command; that is its only purpose.. Signed-off-by: Leah Rowe <leah@libreboot.org>
-rw-r--r--include/lib.sh4
-rw-r--r--include/tree.sh2
2 files changed, 3 insertions, 3 deletions
diff --git a/include/lib.sh b/include/lib.sh
index cf4305a1..75de7512 100644
--- a/include/lib.sh
+++ b/include/lib.sh
@@ -75,8 +75,8 @@ chkvars()
# e.g. coreboot is multi-tree, so 1
singletree()
{
- ( fx_ "exit 1" find "config/$1/"*/ -type f -name "target.cfg" ) || \
- return 1
+ ( fx_ "eval exit 1 && err" find "config/$1/"*/ -type f \
+ -name "target.cfg" ) || return 1; :
}
findpath()
diff --git a/include/tree.sh b/include/tree.sh
index f44b39cc..25d4732c 100644
--- a/include/tree.sh
+++ b/include/tree.sh
@@ -270,7 +270,7 @@ check_defconfig()
elfcheck()
{
# TODO: *STILL* very hacky check. do it properly (based on build.list)
- ( fx_ "exit 1" find "$dest_dir" -type f ) || return 1; :
+ ( fx_ "eval exit 1 && err" find "$dest_dir" -type f ) || return 1; :
}
handle_makefile()